org.jfree.base.log

## Class DefaultLogModule

- java.lang.Object
- - org.jfree.base.modules.DefaultModuleInfo
  - - org.jfree.base.modules.AbstractModule
    - - org.jfree.base.log.DefaultLogModule

- All Implemented Interfaces:
    Module, ModuleInfo

      public class DefaultLogModule
      extends AbstractModule

  The module definition for the System.out-Logging. This is the default log implementation and is provided to insert the logging initialisation in the module loading process.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLogModule()` DefaultConstructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(SubSystem subSystem)` Initalizes the module.

    - ### Methods inherited from class org.jfree.base.modules.AbstractModule

      `configure, getDescription, getName, getOptionalModules, getProducer, getRequiredModules, getSubSystem, isClassLoadable, isClassLoadable, loadModuleInfo, loadModuleInfo, performExternalInitialize, performExternalInitialize, setDescription, setName, setOptionalModules, setProducer, setRequiredModules, setSubSystem, toString`

    - ### Methods inherited from class org.jfree.base.modules.DefaultModuleInfo

      `equals, getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel, hashCode, setMajorVersion, setMinorVersion, setModuleClass, setPatchLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.base.modules.ModuleInfo

      `getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel`

- - ### Constructor Detail

    - #### DefaultLogModule

          public DefaultLogModule()
                           throws ModuleInitializeException

      DefaultConstructor. Loads the module specification.
      Throws:
        `ModuleInitializeException` - if an error occured.

  - ### Method Detail

    - #### initialize

          public void initialize(SubSystem subSystem)
                          throws ModuleInitializeException

      Initalizes the module. This method initializes the logging system, if the System.out logtarget is selected.
      Parameters:
        `subSystem` - the sub-system.
      Throws:
        `ModuleInitializeException` - if an error occured.